
QGIS Application - Bug report #1006

OGR provider opens multiple files per layer

2008-03-22 01:35 PM - Gary Sherman

Status: Closed

Priority: Low

Assignee: Frank Warmerdam -

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11066

Description

Add a layer to newly started QGIS (for example, alaksa.shp) and check the open files:

lsof|grep alaska

qgis      30489   gsherman   10u      REG        8,6   260576    98290 /opt/atlas_revision/data/alaska.shp

qgis      30489   gsherman   12u      REG        8,6     5388    98295 /opt/atlas_revision/data/alaska.shx

qgis      30489   gsherman   13u      REG        8,6    27231    98182 /opt/atlas_revision/data/alaska.dbf

qgis      30489   gsherman   15u      REG        8,6   260576    98290 /opt/atlas_revision/data/alaska.shp

qgis      30489   gsherman   16u      REG        8,6     5388    98295 /opt/atlas_revision/data/alaska.shx

qgis      30489   gsherman   18u      REG        8,6    27231    98182 /opt/atlas_revision/data/alaska.dbf

qgis      30489   gsherman   20r      REG        8,6    34472    98238 /opt/atlas_revision/data/alaska.qix

Remove the layer from the canvas by right-clicking and choosing Remove. Open files are now:

lsof|grep alaska

qgis      30489   gsherman   10u      REG        8,6   260576    98290 /opt/atlas_revision/data/alaska.shp

qgis      30489   gsherman   12u      REG        8,6     5388    98295 /opt/atlas_revision/data/alaska.shx

qgis      30489   gsherman   13u      REG        8,6    27231    98182 /opt/atlas_revision/data/alaska.dbf

It seems that the layer should only be opened once and all files closed when the layer is removed from the canvas.

History

#1 - 2008-03-24 08:18 AM - Frank Warmerdam -

Gary,

I tried reproducing this but was unsuccessful.

I added a polygon shapefile layer and got:

COMMAND  PID     USER   FD   TYPE DEVICE     SIZE     NODE NAME

xmms    6633 warmerda    8r   REG   0,25 14372058 14745602 /usr3/mp3s/Pink Floyd/Animals/02 - Dogs.mp3 (gdal6:/usr3)

qgis    7196 warmerda   11u   REG   0,25   175784  8126495 /usr3/data/esri/shape/eg_data/polygon.shp (gdal6:/usr3)

qgis    7196 warmerda   12u   REG   0,25     3892  8126496 /usr3/data/esri/shape/eg_data/polygon.shx (gdal6:/usr3)

qgis    7196 warmerda   13u   REG   0,25   159752  8126490 /usr3/data/esri/shape/eg_data/polygon.dbf (gdal6:/usr3)
Then removed it and get:

COMMAND  PID     USER   FD   TYPE DEVICE     SIZE     NODE NAME

xmms    6633 warmerda    8r   REG   0,25 14372058 14745602 /usr3/mp3s/Pink Floyd/Animals/02 - Dogs.mp3 (gdal6:/usr3)

This was done with a qgis built from head today.

#2 - 2008-07-09 12:24 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

It wasn't reproduceable here either.  Feel free to reopen, if the issue still exists.
